<?xml version="1.0" encoding="utf-8"?>
<odoo>
    <record id="view_move_line_tree_inherit_batch_custom" model="ir.ui.view">
        <field name="name">stock.move.line.list.batch.custom</field>
        <field name="model">stock.move.line</field>
        <field name="inherit_id" ref="stock_picking_batch.view_move_line_tree"/>
        <field name="arch" type="xml">
            <xpath expr="//field[@name='picking_id']" position="attributes">
                <attribute name="optional">hide</attribute>
            </xpath>
            <xpath expr="//field[@name='lot_id']" position="attributes">
                <attribute name="optional">hide</attribute>
            </xpath>
            <xpath expr="//field[@name='lot_name']" position="attributes">
                <attribute name="optional">hide</attribute>
            </xpath>
            <xpath expr="//field[@name='location_id']" position="attributes">
                <attribute name="optional">hide</attribute>
            </xpath>
            <xpath expr="//field[@name='location_dest_id']" position="attributes">
                <attribute name="optional">hide</attribute>
            </xpath>
            <xpath expr="//field[@name='product_id']" position="after">
                <field name="product_categ_id" optional="hide"/>
            </xpath>
            <xpath expr="//field[@name='picking_id']" position="after">
                <field name="picking_partner_id" optional="hide"/>
                <field name="consumer_group_id" optional="show"/>
                <field name="home_delivery" optional="show" widget="boolean_toggle"/>
            </xpath>
            <xpath expr="//field[@name='quantity']" position="after">
                <field name="is_collected" optional="show" widget="boolean_toggle"/>
            </xpath>
        </field>
    </record>
</odoo>
